/*
Párosak-páratlanok szétválogatása
*/
#include <iostream>

using namespace std;

// Konstansok és típusok
const int MAXN = 1000;
typedef int Szamok[MAXN];

// Változók
int N;
Szamok X;
int Db;
Szamok Y;

void Beolvasas(int &N, Szamok X) {
  clog << "N = ";
  cin >> N;
  for(int i = 0; i < N; i++) {   
    clog << i + 1 << ". szám: ";
    cin >> X[i];
  }
}

void Szetvalogatas(const int N, const Szamok X, int &Db, Szamok Y) {
  Db = 0;
  for (int i = 1; i <= N; i++){
    if (X[i - 1] % 2 == 0) {
      Db = Db + 1; 
      Y[Db - 1] = X[i - 1];
    }
    else {
      Y[N - i + Db] = X[i - 1];
    }
  }
}

void Kiiras(const int N, const int Db, const Szamok Y) {
  cout << Db;
  for (int i = 1; i <= N; i++) {
    cout << " " << Y[i - 1];  
  }
}

int main() {
  
  Beolvasas(N, X);
  Szetvalogatas(N, X, Db, Y);
  Kiiras(N, Db, Y);
  
  return 0;
}